Cocoon API: Class XSPCookieLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library
Class XSPCookieLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.XSPCookieLibrary

public class XSPCookieLibrary
extends java.lang.Object

Constructor Summary
`XSPCookieLibrary()`

Method Summary
`static org.w3c.dom.Element` | `getComment(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getCookie(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getDomain(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMaxAge(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getName(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getPath(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getSecure(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getValue(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getVersion(javax.servlet.http.Cookie cookie, org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPCookieLibrary

    public XSPCookieLibrary()

Method Detail

### getCookie

    public static org.w3c.dom.Element getCookie(javax.servlet.http.Cookie cookie,
                                                org.w3c.dom.Document document)

### getComment

    public static org.w3c.dom.Element getComment(javax.servlet.http.Cookie cookie,
                                                 org.w3c.dom.Document document)

### getDomain

    public static org.w3c.dom.Element getDomain(javax.servlet.http.Cookie cookie,
                                                org.w3c.dom.Document document)

### getMaxAge

    public static org.w3c.dom.Element getMaxAge(javax.servlet.http.Cookie cookie,
                                                org.w3c.dom.Document document)

### getName

    public static org.w3c.dom.Element getName(javax.servlet.http.Cookie cookie,
                                              org.w3c.dom.Document document)

### getPath

    public static org.w3c.dom.Element getPath(javax.servlet.http.Cookie cookie,
                                              org.w3c.dom.Document document)

### getSecure

    public static org.w3c.dom.Element getSecure(javax.servlet.http.Cookie cookie,
                                                org.w3c.dom.Document document)

### getValue

    public static org.w3c.dom.Element getValue(javax.servlet.http.Cookie cookie,
                                               org.w3c.dom.Document document)

### getVersion

    public static org.w3c.dom.Element getVersion(javax.servlet.http.Cookie cookie,
                                                 org.w3c.dom.Document document)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.